Subject: [lemonade] Re: Comments on notify-06

From: Alexey Melnikov <[email-masked]>
Date: Mon, 17 Sep 2007 11:21:19 +0100

Hi Randy,
Sorry I've missed this message earlier.

Randall Gellens wrote:

> ----
> Abstract:
>
> OLD:
>    unsolicited notifications
>
> NEW:
>    unsolicited notifications for specified mailboxes

Ok, changed

> ----
> Section 2:
>
> New sentence to be added to end of first paragraph:
>
> NEW:
>    Also, IDLE only applies to the selected mailbox, thus requiring an 
> additional TCP connection per mailbox.

Added.

> ----
> Section 3:
>
> OLD:
>     If the notification would be prohibitively expensive for the server
>     (e.g. "notify me of all flag changes in all mailboxes"), the server
>     MAY refuse the command with a tagged NO [NOTIFICATIONOVERFLOW]
>     response.
>
> What does it mean if the notification would be prohibitively expensive 
> but the server doesn't send a tagged NO with NOTIFICATIONOVERFLOW?  
> Presumably, if the server sends OK, it means the server will send the 
> notifications anyway?

Yes

> Or perhaps the server sends a tagged OK but then sends an untagged 
> NOTIFICATIONOVERFLOW when it decides it is overloaded?

This can happen as well.

> Also, I suppose the server could send a BAD or NO without 
> NOTIFICATIONOVERFLOW.  This seems a bit fuzzy.  Presumably the idea of 
> a tagged NO with NOTIFICATIONOVERFLOW is to inform the client that it 
> should send a simpler request.

Something like that.

> If so, this should be made more clear.  Although, I'm personally not 
> sure how the client would do so, assuming the original request was 
> made by seeing which mailboxes the user had specified as interesting.
>
> ----
> Section 5.10. Notification Overflow
>
> Similar point as above: what does the client do?  Wait a while and 
> resend the NOTIFY command?  Send a simpler NOTIFY command?

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade